DominoIIOPServer (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.DominoIIOPServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface DominoIIOPServer

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface DominoIIOPServer

extends ModelObject

A classpath entry for a discovery agent

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  DOMIISVR
Display Name:
  name

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getSSL()`
`boolean` | `hasName()`
`boolean` | `hasSSL()`
`void` | `setName(java.lang.String s)`
`void` | `setSSL(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setName

    void setName(java.lang.String s)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setSSL

    void setSSL(java.lang.String s)

### getSSL

    java.lang.String getSSL()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSL

    boolean hasSSL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD